package org.lsh.webservice.ui.webservice.impl;

import org.lsh.webservice.ui.webservice.TestWebservice;
import org.lsh.webservice.ui.webservice.dto.Request;
import org.lsh.webservice.ui.webservice.dto.Response;
import org.springframework.stereotype.Component;

import javax.jws.WebService;

@Component
@WebService(
        name = "TestWebservice",
        targetNamespace = "org.lsh.webservice.ui",
        endpointInterface = "org.lsh.webservice.ui.webservice.TestWebservice")
public class TestWebserviceImpl implements TestWebservice {

    @Override
    public Response sayHello(Request request) {
        Response response = new Response();
        response.setStatus(true);
        response.setCode(1);
        response.setMessage("Hello ，this is message ！");
        return response;
    }

}
