CREATE TABLE IF NOT EXISTS Project (
                                       id UUID DEFAULT RANDOM_UUID(),
                                       name VARCHAR(255)
);

CREATE TABLE IF NOT EXISTS `WebService` (
                                            `id` UUID DEFAULT RANDOM_UUID(),
                                            `name`  varchar(255) NULL,
                                            `wsdl`  varchar(255) NULL,
                                            `project_id`  varchar(255) NOT NULL
);

CREATE TABLE IF NOT EXISTS `OPERATION` (
                                           `id` UUID DEFAULT RANDOM_UUID(),
                                           `name`  varchar(255) NOT NULL,
                                           `webservice_id`  varchar(255) NOT NULL,
                                           `input` varchar(255) NOT NULL,
                                           `output` varchar(255) NOT NULL
);

CREATE TABLE IF NOT EXISTS `server_info` (
                                             `id` UUID DEFAULT RANDOM_UUID(),
                                             `webservice_id` varchar(255) NOT NULL,
                                             `form_json`  TEXT NOT NULL
);
