package com.lsh;


import java.math.BigDecimal;
import java.util.Date;

/** 工单同步
 *
 */
public class ShopOrderDTO {

    /** 工单号
     *
     */
    
    private String shopOrder;
    /** 工厂
     *
     */
    
    private String site;
    /** 状态
     *
     */
    
    private String status;
    /** 计划工作中心
     *
     */
    
    private String plannedWorkCenter;
    /** 计划物料BO
     *
     */
    
    private String plannedItem;
    /** 订购数量  专题讨论取消此数据
     *
     */
    
    private BigDecimal qtyOrdered;
    /** 计划开始时间
     *
     */
    
    private Date plannedStartDate;
    /** 计划完成时间
     *
     */
    
    private Date plannedCompDate;
    /** 老化比例
     *
     */
    
    private BigDecimal agingRatio;
    /** 老化时长
     *
     */
    
    private String agingTime;
    /** 老化电压
     *
     */
    
    private String agingVoltage;
    /** 老化方式
     *
     */
    
    private String agingWay;
    /** 灯头印字规则
     *
     */
    
    private String baseSealRule;
    /** 波峰夹具编号
     *
     */
    
    private String crestClampNum;
    /** 销售订单交期  专题讨论取消此数据
     *
     */
    
    private Date deliveryDate;
    /** 生产订单原数量    专题讨论取消此数据
     *
     */
    
    private BigDecimal demandQty;
    /** 生产订单供应数量   专题讨论取消此数据
     *
     */
    
    private String supplyQty;
    /** 业务员名字     专题讨论取消此数据
     *
     */
    
    private String salesman;
    /** 需求工厂  走接口qm判断后返回是否需要fqc
     *
     */
    
    private String demandPlant;
    /** 父工单
     *
     */
    
    private String fatherSo;
    /** 粉浆父工单 专题讨论粉浆工单运作方式 考虑和父工单合并
     *
     */
    
    private String phosphorFatherSo;
    /** 内盒印字规则
     *
     */
    
    private String innerBoxSeal;
    /** 生产订单计划数量
     *
     */
    
    private BigDecimal oriQty;
    /** 外箱印字规则
     *
     */
    
    private String outerBoxSeal;
    /** 备注
     *
     */
    
    private String planNote;
    /** 优先级序号
     *
     */
    
    private BigDecimal priorityNum;
    /** 销售备注
     *
     */
    
    private String salesNote;
    /** 销售订单号
     *
     */
    
    private String salesOrder;
    /** 销售订单抬头物料
     *
     */
    
    private String soItem;
    /** 销售订单行
     *
     */
    
    private String soLine;
    /** 生产订单类型
     *
     */
    
    private String shopOrderType;
    /** 钢板印编号
     *
     */
    
    private String steelSealNum;
    /** 钢网编号
     *
     */
    
    private String stencilNum;
    /** 不干胶印字规则
     *
     */
    
    private String stickerSealRule;
    /** 粉浆目标产线
     *
     */
    
    private String targetLine;
    /** 目标入库地点
     *
     */
    
    private String targetStorage;
    /** WBS元素
     *
     */
    
    private String wbs;
    /** 变量条码
     *
     */
    
    private String zext4;
    /** 封条
     *
     */
    
    private String zrqyz10;
    /** 封条式
     *
     */
    
    private String zrqyz11;
    /** 中箱
     *
     */
    
    private String zrqyz5;
    /** 外箱贴
     *
     */
    
    private String zrqyz6;
    /** 内盒贴
     *
     */
    
    private String zrqyz7;
    /** 合格证
     *
     */
    
    private String zrqyz8;
    /** 纸套
     *
     */
    
    private String zrqyz9;

    /** erp工单状态
     *
     */
    
    private String  erpStatus;

    /** 切换时间(秒)
     *
     */
    
    private BigDecimal switchingTime;

    /** 机加工需求用户
     *
     */
    
    private String  demandUser;

    /** 机加工期望交货日期
     *
     */
    
    private Date  hopeFinishTime;
    /** 运输方式
     *
     */
    
    private String  kdkg2;
    /** 是否样品标识
     *
     */
    
    private String zyp;
    /** 销售订单数量
     *
     */
    
    private Integer  salesOrderQuantity;

    public String getShopOrder() {
        return shopOrder;
    }

    public void setShopOrder(String shopOrder) {
        this.shopOrder = shopOrder;
    }

    public String getSite() {
        return site;
    }

    public void setSite(String site) {
        this.site = site;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getPlannedWorkCenter() {
        return plannedWorkCenter;
    }

    public void setPlannedWorkCenter(String plannedWorkCenter) {
        this.plannedWorkCenter = plannedWorkCenter;
    }

    public String getPlannedItem() {
        return plannedItem;
    }

    public void setPlannedItem(String plannedItem) {
        this.plannedItem = plannedItem;
    }

    public BigDecimal getQtyOrdered() {
        return qtyOrdered;
    }

    public void setQtyOrdered(BigDecimal qtyOrdered) {
        this.qtyOrdered = qtyOrdered;
    }

    public Date getPlannedStartDate() {
        return plannedStartDate;
    }

    public void setPlannedStartDate(Date plannedStartDate) {
        this.plannedStartDate = plannedStartDate;
    }

    public Date getPlannedCompDate() {
        return plannedCompDate;
    }

    public void setPlannedCompDate(Date plannedCompDate) {
        this.plannedCompDate = plannedCompDate;
    }

    public BigDecimal getAgingRatio() {
        return agingRatio;
    }

    public void setAgingRatio(BigDecimal agingRatio) {
        this.agingRatio = agingRatio;
    }

    public String getAgingTime() {
        return agingTime;
    }

    public void setAgingTime(String agingTime) {
        this.agingTime = agingTime;
    }

    public String getAgingVoltage() {
        return agingVoltage;
    }

    public void setAgingVoltage(String agingVoltage) {
        this.agingVoltage = agingVoltage;
    }

    public String getAgingWay() {
        return agingWay;
    }

    public void setAgingWay(String agingWay) {
        this.agingWay = agingWay;
    }

    public String getBaseSealRule() {
        return baseSealRule;
    }

    public void setBaseSealRule(String baseSealRule) {
        this.baseSealRule = baseSealRule;
    }

    public String getCrestClampNum() {
        return crestClampNum;
    }

    public void setCrestClampNum(String crestClampNum) {
        this.crestClampNum = crestClampNum;
    }

    public Date getDeliveryDate() {
        return deliveryDate;
    }

    public void setDeliveryDate(Date deliveryDate) {
        this.deliveryDate = deliveryDate;
    }

    public BigDecimal getDemandQty() {
        return demandQty;
    }

    public void setDemandQty(BigDecimal demandQty) {
        this.demandQty = demandQty;
    }

    public String getSupplyQty() {
        return supplyQty;
    }

    public void setSupplyQty(String supplyQty) {
        this.supplyQty = supplyQty;
    }

    public String getSalesman() {
        return salesman;
    }

    public void setSalesman(String salesman) {
        this.salesman = salesman;
    }

    public String getDemandPlant() {
        return demandPlant;
    }

    public void setDemandPlant(String demandPlant) {
        this.demandPlant = demandPlant;
    }

    public String getFatherSo() {
        return fatherSo;
    }

    public void setFatherSo(String fatherSo) {
        this.fatherSo = fatherSo;
    }

    public String getPhosphorFatherSo() {
        return phosphorFatherSo;
    }

    public void setPhosphorFatherSo(String phosphorFatherSo) {
        this.phosphorFatherSo = phosphorFatherSo;
    }

    public String getInnerBoxSeal() {
        return innerBoxSeal;
    }

    public void setInnerBoxSeal(String innerBoxSeal) {
        this.innerBoxSeal = innerBoxSeal;
    }

    public BigDecimal getOriQty() {
        return oriQty;
    }

    public void setOriQty(BigDecimal oriQty) {
        this.oriQty = oriQty;
    }

    public String getOuterBoxSeal() {
        return outerBoxSeal;
    }

    public void setOuterBoxSeal(String outerBoxSeal) {
        this.outerBoxSeal = outerBoxSeal;
    }

    public String getPlanNote() {
        return planNote;
    }

    public void setPlanNote(String planNote) {
        this.planNote = planNote;
    }

    public BigDecimal getPriorityNum() {
        return priorityNum;
    }

    public void setPriorityNum(BigDecimal priorityNum) {
        this.priorityNum = priorityNum;
    }

    public String getSalesNote() {
        return salesNote;
    }

    public void setSalesNote(String salesNote) {
        this.salesNote = salesNote;
    }

    public String getSalesOrder() {
        return salesOrder;
    }

    public void setSalesOrder(String salesOrder) {
        this.salesOrder = salesOrder;
    }

    public String getSoItem() {
        return soItem;
    }

    public void setSoItem(String soItem) {
        this.soItem = soItem;
    }

    public String getSoLine() {
        return soLine;
    }

    public void setSoLine(String soLine) {
        this.soLine = soLine;
    }

    public String getShopOrderType() {
        return shopOrderType;
    }

    public void setShopOrderType(String shopOrderType) {
        this.shopOrderType = shopOrderType;
    }

    public String getSteelSealNum() {
        return steelSealNum;
    }

    public void setSteelSealNum(String steelSealNum) {
        this.steelSealNum = steelSealNum;
    }

    public String getStencilNum() {
        return stencilNum;
    }

    public void setStencilNum(String stencilNum) {
        this.stencilNum = stencilNum;
    }

    public String getStickerSealRule() {
        return stickerSealRule;
    }

    public void setStickerSealRule(String stickerSealRule) {
        this.stickerSealRule = stickerSealRule;
    }

    public String getTargetLine() {
        return targetLine;
    }

    public void setTargetLine(String targetLine) {
        this.targetLine = targetLine;
    }

    public String getTargetStorage() {
        return targetStorage;
    }

    public void setTargetStorage(String targetStorage) {
        this.targetStorage = targetStorage;
    }

    public String getWbs() {
        return wbs;
    }

    public void setWbs(String wbs) {
        this.wbs = wbs;
    }

    public String getZext4() {
        return zext4;
    }

    public void setZext4(String zext4) {
        this.zext4 = zext4;
    }

    public String getZrqyz10() {
        return zrqyz10;
    }

    public void setZrqyz10(String zrqyz10) {
        this.zrqyz10 = zrqyz10;
    }

    public String getZrqyz11() {
        return zrqyz11;
    }

    public void setZrqyz11(String zrqyz11) {
        this.zrqyz11 = zrqyz11;
    }

    public String getZrqyz5() {
        return zrqyz5;
    }

    public void setZrqyz5(String zrqyz5) {
        this.zrqyz5 = zrqyz5;
    }

    public String getZrqyz6() {
        return zrqyz6;
    }

    public void setZrqyz6(String zrqyz6) {
        this.zrqyz6 = zrqyz6;
    }

    public String getZrqyz7() {
        return zrqyz7;
    }

    public void setZrqyz7(String zrqyz7) {
        this.zrqyz7 = zrqyz7;
    }

    public String getZrqyz8() {
        return zrqyz8;
    }

    public void setZrqyz8(String zrqyz8) {
        this.zrqyz8 = zrqyz8;
    }

    public String getZrqyz9() {
        return zrqyz9;
    }

    public void setZrqyz9(String zrqyz9) {
        this.zrqyz9 = zrqyz9;
    }

    public String getErpStatus() {
        return erpStatus;
    }

    public void setErpStatus(String erpStatus) {
        this.erpStatus = erpStatus;
    }

    public BigDecimal getSwitchingTime() {
        return switchingTime;
    }

    public void setSwitchingTime(BigDecimal switchingTime) {
        this.switchingTime = switchingTime;
    }

    public String getDemandUser() {
        return demandUser;
    }

    public void setDemandUser(String demandUser) {
        this.demandUser = demandUser;
    }

    public Date getHopeFinishTime() {
        return hopeFinishTime;
    }

    public void setHopeFinishTime(Date hopeFinishTime) {
        this.hopeFinishTime = hopeFinishTime;
    }

    public String getKdkg2() {
        return kdkg2;
    }

    public void setKdkg2(String kdkg2) {
        this.kdkg2 = kdkg2;
    }

    public String getZyp() {
        return zyp;
    }

    public void setZyp(String zyp) {
        this.zyp = zyp;
    }

    public Integer getSalesOrderQuantity() {
        return salesOrderQuantity;
    }

    public void setSalesOrderQuantity(Integer salesOrderQuantity) {
        this.salesOrderQuantity = salesOrderQuantity;
    }
}
